Contacts
curl --request GET \
--url https://api.bizzy.ai/v2/companies/{companyId}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v2/companies/{companyId}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v2/companies/{companyId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "1778186251",
"name": "Bizzy ",
},
"data": [
{
"contactIdentifier": {
"contactId": "1740201639",
"firstName": "Steve",
"lastName": "Declercq"
},
"jobTitle": "Chief Executive Officer"
},
{
"contactIdentifier": {
"contactId": "1280731968",
"firstName": "Hendrik",
"lastName": "Keeris"
},
"jobTitle": "Chief Technology Officer"
},
{
"contactIdentifier": {
"contactId": "1858956880",
"firstName": "David",
"lastName": "Du Pré"
},
"jobTitle": "Sales Manager"
},
{
"contactIdentifier": {
"contactId": "1122224600",
"firstName": "Piet",
"lastName": "Casneuf"
},
"jobTitle": null
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 39
}
}
Company API
Contacts
GET
/
v2
/
companies
/
{companyId}
/
contacts
Contacts
Request
Path
string
required
Obfuscated companyId returned by the search endpoint.
Query
string
You can query on name or jobTitle.
boolean
default:"false"
Return only contacts with official roles.
number
default:"4"
Number of items to return per page. (max 500)
number
default:"0"
Number of items to skip.
string
You can chain multiple seniorities.
For example, use
For example, use
C_LEVEL,NON_MANAGEMENT to search for both C-Level and
Non-Management roles.Available Seniorities
Available Seniorities
C_LEVELFOUNDEROWNEROFFICIAL_DIRECTORPARTNERVPDIRECTORSENIORMANAGERENTRYINTERNNON_MANAGEMENT
string
You can chain multiple departments.
For example, use
For example, use
SOFTWARE_ENGINEERING,PRODUCT_MANAGEMENT to search for
both Software-engineering and Product-Management departments.Available Departments
Available Departments
C_SUITE,ENGINEERING_AND_IT,DESIGN,EDUCATION,FINANCE,HUMAN_RESOURCES,LEGAL,MARKETING,MEDICAL_HEALTH,OPERATIONS,CONSULTING,SALES,BOARD_OF_DIRECTORS,RESEARCH_AND_DEVELOPMENT,AGRICULTURE,MANUFACTURING,CONSTRUCTION,HOSPITALITY,MEDICAL_AND_HEALTH,
string
You can chain multiple official roles.
For example, use
For example, use
FOUNDER,COOWNER to search for both Founder and Co-owner
official roles.Available Official Roles
Available Official Roles
ACTING_BAILIFFADMINISTRATORASSOCIATEAUDITORBOARD_MEMBERCHAIRMANCHAIRMAN_OF_STATUTORY_AUDITORSCHARTERED_ACCOUNTANTCURATORDEPUTY_MANAGING_DIRECTORDEPUTY_PERMANENT_REPRESENTATIVEEXTERNAL_ACCOUNTANTFOUNDERGENERAL_ADMINISTRATORGENERAL_AGENTGOVERNMENT_COMMISSIONERJUDICIAL_BOARDJUDICIAL_TRUSTEELEGAL_REPRESENTATIVEMANAGERMANAGING_DIRECTORMAYORMEMBER_OF_AREA_ASSOCIATIONPERMANENT_REPRESENTATIVEAUDITOR_PERMANENT_REPRESENTATIVEPERSON_IN_CHARGEPROPERTY_MANAGERREGISTERED_AUDITORREGISTERED_TAX_EXPERTREPRESENTATIVEREPRESENTATIVE_NON_ADMINSEQUESTERSUPPLY_SOLICITORTREASURERTRUSTEEVICE_PRESIDENTSHAREHOLDEROTHERCIC_MANAGERLLP_MEMBERMANAGER_OF_AN_EEIGMEMBER_OF_A_MANAGEMENT_ORGANMEMBER_OF_A_SUPERVISORY_ORGANMEMBER_OF_AN_ADMINISTRATIVE_ORGANNOMINEE_DIRECTORNOMINEE_SECRETARYSECRETARYDIRECTORGENERAL_PARTNER_IN_A_LIMITED_PARTNERSHIPJUDICIAL_FACTORLIMITED_PARTNER_IN_A_LIMITED_PARTNERSHIPLLP_DESIGNATED_MEMBERPERSON_AUTHORISED_TO_ACCEPTPERSON_AUTHORISED_TO_REPRESENT_AND_ACCEPTRECEIVER_AND_MANAGERABSOLUTE_PARENTMEMBERMANAGEMENT_CONTROLLERACCOUNT_CONTROLLEROTHER_MAJORITY_PARTNERJOINT_INDEFINITELY_AND_SEVERALLY_LIABLE_MANAGER_PARTNERJOINT_INDEFINITELY_LIABLE_MANAGER_PARTNERLIQUIDATORSOLE_PARTNER_ACTIVE_IN_EURLPRESIDENT_OF_BOARD_OF_DIRECTORSPRESIDENT_OF_EXECUTIVE_BOARDGENERAL_DIRECTORFOREIGN_ENTITY_FOREIGN_EXECUTIVEFOREIGN_ENTITY_FRENCH_EXECUTIVEPRESIDENT_AND_GENERAL_DIRECTOR_OF_BOARDPRESIDENT_OF_SUPERVISORY_BOARDEXECUTIVE_BOARD_MEMBERSUPERVISORY_BOARD_MEMBERPERSON_AUTHORIZED_TO_REPRESENT_COMPANYPERSON_AUTHORIZED_TO_REPRESENT_ESTABLISHMENTCHIEF_EXECUTIVE_OFFICERDEPUTY_GENERAL_DIRECTORSTATUTORY_AUDITORALTERNATE_AUDITORPRESIDENT_OF_SASJOINT_INDEFINITELY_AND_SEVERALLY_LIABLE_PARTNERJOINT_INDEFINITELY_LIABLE_PARTNERFOREIGN_COMPANY_FRENCH_SOCIAL_REPRESENTATIVEFOREIGN_COMPANY_FRENCH_FISCAL_REPRESENTATIVECOOWNEROPERATOR_FOR_COOWNERSHIPPHYSICAL_PERSON_OPERATING_TOGETHERSPECIAL_AGENTTEMPORARY_ADMINISTRATORUNSALARIED_MEMBER_PARTICIPATING_IN_WORKPARTNER_INVOLVED_IN_MANAGEMENTUNSALARIED_PARTNERACQUIRERENTREPRENEURDEPUTYDESIGNATED_DECISION_MAKERACCOUNTANTCOOWNER_HEIRLESSORBENIFICIAL_OWNERTAX_AGENTVICE_PRESIDENT_MANAGEMENTVICE_PRESIDENT_ORIENTATION_AND_SURVEILLANCEPRESIDENT_ORIENTATION_AND_SURVEILLANCEMEMBER_ORIENTATION_AND_SURVEILLANCESOLE_PARTNER_ASSET_RECOVERYGENERAL_PARTNERPRESIDENT_OF_EPICLAWYERTAX_REPRESENTATIVEBENFICIAL_MEMBERPERSON_AUTHORIZED_TO_REPRESENT_ENTITYPRESIDENTGENERAL_SECRETARYUNION_BOARD_MEMBERUNION_BOARD_PRESIDENTPERSON_DESIGNATED_BY_BYLAWS
Response
Warning: While it is possible for
However, it is important not to rely solely on
For more consistent results, consider using other identifiers or attributes when working with contacts.
contactId values to change, this will not happen often and should not occur regularly.However, it is important not to rely solely on
contactId values in your workflows, as they could fluctuate in the future.For more consistent results, consider using other identifiers or attributes when working with contacts.
string | null
The contact’s job title, or
null when not available.{
"companyIdentifier": {
"countryCode": "BE",
"companyId": "1778186251",
"name": "Bizzy ",
},
"data": [
{
"contactIdentifier": {
"contactId": "1740201639",
"firstName": "Steve",
"lastName": "Declercq"
},
"jobTitle": "Chief Executive Officer"
},
{
"contactIdentifier": {
"contactId": "1280731968",
"firstName": "Hendrik",
"lastName": "Keeris"
},
"jobTitle": "Chief Technology Officer"
},
{
"contactIdentifier": {
"contactId": "1858956880",
"firstName": "David",
"lastName": "Du Pré"
},
"jobTitle": "Sales Manager"
},
{
"contactIdentifier": {
"contactId": "1122224600",
"firstName": "Piet",
"lastName": "Casneuf"
},
"jobTitle": null
}
],
"pagination": {
"limit": 4,
"offset": 0,
"total": 39
}
}
Was this page helpful?